Subject: bug#23568: 25.0.94; Mode line menus appear incorrectly in some monitor configurations

From: Eli Zaretskii <[email-masked]>
Date: Mon, 05 Jun 2017 18:36:22 +0300

> From: Alex <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Mon, 05 Jun 2017 02:03:45 -0600
> 
> Just to be clear: you prefer the frame-* prefix?

I'm okay with that.  Martin?

> > Thanks, it would be nice if you could also provide a ChangeLog-style
> > commit log message.  That'd make the job of pushing the changes much
> > easier.
> 
> Right, I just figure that it's easier to save that work until the end
> until most/all of the design considerations are taken care of.
> 
> Also, I switched from using the geometry attribute (like c77ffc8019
> used) to the workarea attribute as according to the GDK doc[1]:
> 
>   The work area should be considered when positioning menus and similar
>   popups, to avoid placing them below panels, docks or other desktop
>   components.
> 
> I've attached a patch below.

Thanks.  Let's leave it for a few days to give others a chance to
comment, and then push.